#include "sgm_esl.h"
#include "progressBar.h"

void SGM_ESL::CalWp(double wp_factor){
	Wp.resize(mod_blocks_num_,0.0);
	ProgressBar *bar = new ProgressBar(mod_blocks_num_,"Calculating Wp");
	for (int i = 0; i < mod_blocks_num_; i++){
		bar->Progressed(i);
		Wp[i] = wp_factor/(WzTWz[i]*WvTWv[i]);
	}
	return;
}